//////////////////////////////////////////////////////////////
//
//  Description	: PDF2HTML/BMP software
//  Author	: verypdf.com Inc
//  Version	: Ver1.2
//  Platform	: Windows95/98/Me/NT/2000/XP
//  Environment	: Visual C++ 6.0
//  Date	: 2002/04/03
//
//  Copyright(C) 2000--2003 verypdf.com Inc
//      
//  Contact infomation:
//        http://www.verypdf.com/
//        support@verypdf.com
//
//  This program is shareware; you can redistribute and/or 
//  modify it under the terms of the GNU General Public License.
//  See the GNU General Public License for more details.
//
//               Portion base on Xpdf code
//         Copyright 1996-2003 Glyph && Cog, LLC
//////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "WriteDir.h"
#include <direct.h>
#include <stdlib.h>
#include <stdio.h>


BOOL WriteDirectory(CString dd)
{
	HANDLE		fFile;				// File Handle
	WIN32_FIND_DATA fileinfo;			// File Information Structure
	CStringArray	m_arr;				// CString Array to hold Directory Structures
	BOOL tt;					// BOOL used to test if Create Directory was successful
	int x1 = 0;					// Counter
	CString tem = "";				// Temporary CString Object

	// Before we go to a lot of work.  
	// Does the file exist

	//fFile = FindFirstFile(dd,&fileinfo);
	//if(fileinfo.dwFileAttributes == FILE_ATTRIBUTE_DIRECTORY)
	//{
	//	FindClose(fFile);
	//	return TRUE;
	//}
	//FindClose(fFile);

	for(x1=0;x1<dd.GetLength();x1++)	// Parse the supplied CString Directory String
	{
		if(dd.GetAt(x1) != '\\')		// if the Charachter is not a \ 
			tem += dd.GetAt(x1);		// else add character to Temp String
		else
		{
			m_arr.Add(tem);				// if the Character is a \ Add the Temp String to the CString Array
			tem += "\\";				// Now add the \ to the temp string
		}
		if(x1 == dd.GetLength()-1)		// If we reached the end of the file add the remaining string
			m_arr.Add(tem);
	}
	// Now lets cycle through the String Array and create each directory in turn
	for(x1 = 1;x1<m_arr.GetSize();x1++)
	{
		tem = m_arr.GetAt(x1);
		tt = CreateDirectory(tem,NULL);
		if(tt)
			SetFileAttributes(tem,FILE_ATTRIBUTE_NORMAL);
	}
	m_arr.RemoveAll();
	//  Now lets see if the directory was successfully created
	fFile = FindFirstFile(dd,&fileinfo);
	FindClose(fFile);

	if(fileinfo.dwFileAttributes == FILE_ATTRIBUTE_DIRECTORY)
		return TRUE;

	return FALSE;
}