// GraphicsDlg.cpp : implementation file
//

#include "stdafx.h"
#include "win_pdf2rtf.h"
#include "GraphicsDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CGraphicsDlg property page

IMPLEMENT_DYNCREATE(CGraphicsDlg, CPropertyPage)

CGraphicsDlg::CGraphicsDlg() : CPropertyPage(CGraphicsDlg::IDD)
{
	//{{AFX_DATA_INIT(CGraphicsDlg)
	m_bDeleteGraphics = FALSE;
	m_bDeletePictures = FALSE;
	//}}AFX_DATA_INIT
}

CGraphicsDlg::~CGraphicsDlg()
{
}

void CGraphicsDlg::DoDataExchange(CDataExchange* pDX)
{
	CPropertyPage::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CGraphicsDlg)
	DDX_Check(pDX, IDC_CHECK_DELETE_GRAPHICS, m_bDeleteGraphics);
	DDX_Check(pDX, IDC_CHECK_DELETE_PICTURES, m_bDeletePictures);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CGraphicsDlg, CPropertyPage)
	//{{AFX_MSG_MAP(CGraphicsDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CGraphicsDlg message handlers

void CGraphicsDlg::OnOK() 
{
	UpdateData(TRUE);
	// TODO: Add your specialized code here and/or call the base class
	AfxGetApp()->WriteProfileInt("CGraphicsDlg","m_bDeleteGraphics",m_bDeleteGraphics);
	AfxGetApp()->WriteProfileInt("CGraphicsDlg","m_bDeletePictures",m_bDeletePictures);
	
	CPropertyPage::OnOK();
}

BOOL CGraphicsDlg::OnInitDialog() 
{
	CPropertyPage::OnInitDialog();
	
	// TODO: Add extra initialization here
	m_bDeleteGraphics = AfxGetApp()->GetProfileInt("CGraphicsDlg","m_bDeleteGraphics",0);
	m_bDeletePictures = AfxGetApp()->GetProfileInt("CGraphicsDlg","m_bDeletePictures",0);

	UpdateData(FALSE);	
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}
